Package weka.core.pmml.jaxbbindings

# Enum Class OUTLIERTREATMENTMETHOD

java.lang.Object
java.lang.Enum<OUTLIERTREATMENTMETHOD>
weka.core.pmml.jaxbbindings.OUTLIERTREATMENTMETHOD

All Implemented Interfaces:
  `Serializable`, `Comparable<OUTLIERTREATMENTMETHOD>`, `Constable`

public enum OUTLIERTREATMENTMETHOD extends Enum<OUTLIERTREATMENTMETHOD>

Java class for OUTLIER-TREATMENT-METHOD.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="OUTLIER-TREATMENT-METHOD">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="asIs"/>
         <enumeration value="asMissingValues"/>
         <enumeration value="asExtremeValues"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AS_EXTREME_VALUES`
  `AS_IS`
  `AS_MISSING_VALUES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OUTLIERTREATMENTMETHOD`
  `fromValue(String v)`
  `String`
  `value()`
  `static OUTLIERTREATMENTMETHOD`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OUTLIERTREATMENTMETHOD[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AS_EXTREME_VALUES

    public static final OUTLIERTREATMENTMETHOD AS_EXTREME_VALUES

  - ### AS_IS

    public static final OUTLIERTREATMENTMETHOD AS_IS

  - ### AS_MISSING_VALUES

    public static final OUTLIERTREATMENTMETHOD AS_MISSING_VALUES

- ## Method Details

  - ### values

    public static OUTLIERTREATMENTMETHOD[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OUTLIERTREATMENTMETHOD valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static OUTLIERTREATMENTMETHOD fromValue(String v)